PrepareMessage (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.transport.messages

## Class PrepareMessage

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request
    - - org.apache.cassandra.transport.messages.PrepareMessage

-     public class PrepareMessage
      extends Message.Request

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message.Codec<PrepareMessage>` | `codec`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Request

      `tracingRequested`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, forcedProtocolVersion, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareMessage(java.lang.String query)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message.Response` | `execute(QueryState state, long queryStartNanoTime)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Request

      `isTracingRequested, setTracingRequested`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final Message.Codec<PrepareMessage> codec

  - ### Constructor Detail

    - #### PrepareMessage

          public PrepareMessage(java.lang.String query)

  - ### Method Detail

    - #### execute

          public Message.Response execute(QueryState state,
                                          long queryStartNanoTime)

      Specified by:
        `execute` in class `Message.Request`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation